public class User {
    private String connectionID;
    private String username;
    private String password;
    private int timesPlayed;
    private int winPercentage;
    private int currentStreak;
    private int maxStreak;
    private int lastDayWOTDFinished;
    private int state;
    private int wins;
    private int [] wonInTurn;
    private Game game;

    public User (String pConnectionID){
        connectionID =pConnectionID;
        game = new Game();
    }
    
    public Game getGame(){
        return game;
    }
    
    public String getConnectionID() {
        return connectionID;
    }

    public int getCurrentStreak() {
        return currentStreak;
    }

    public int getLastDayWOTDFinished() {
        return lastDayWOTDFinished;
    }

    public int getMaxStreak() {
        return maxStreak;
    }

    public int getTimesPlayed() {
        return timesPlayed;
    }

    public int getState() {
        return state;
    }




    public void setWins(int wins) {
        this.wins = wins;
    }

    public int getWinPercentage() {
        return winPercentage;
    }

    public int getWonInTurnIndex(int index) {
        return wonInTurn[index];
    }

    public int[] getWonInTurn() {
        return wonInTurn;
    }

    public String getPassword() {
        return password;
    }

    public String getUsername() {
        return username;
    }

    public int getWins() {
        return wins;
    }

    public void setConnectionID(String connectionID) {
        this.connectionID = connectionID;
    }

    public void setCurrentStreak(int currentStreak) {
        this.currentStreak = currentStreak;
    }

    public void setLastDayWOTDFinished(int lastDayWOTDFinished) {
        this.lastDayWOTDFinished = lastDayWOTDFinished;
    }

    public void setMaxStreak(int maxStreak) {
        this.maxStreak = maxStreak;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setState(int state) {
        this.state = state;
    }

    public void setTimesPlayed(int timesPlayed) {
        this.timesPlayed = timesPlayed;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public void setWinPercentage(int winPercentage) {
        this.winPercentage = winPercentage;
    }

    public void setWonInTurnIndex(int index, int content) {
        this.wonInTurn[index] = content;
    }

    public void setWonInTurn(int[] wonInTurn) {
        this.wonInTurn = wonInTurn;
    }
}
